Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngtrans.c File Reference

`#include "png.h"`

Include dependency graph for pngtrans.c:

## Defines
#define | PNG_INTERNAL
## Functions
void | png_set_bgr (png_structp png_ptr)
void | png_set_swap (png_structp png_ptr)
void | png_set_packing (png_structp png_ptr)
void | png_set_packswap (png_structp png_ptr)
void | png_set_shift (png_structp png_ptr, png_color_8p true_bits)
int | png_set_interlace_handling (png_structp png_ptr)
void | png_set_filler (png_structp png_ptr, png_uint_32 filler, int filler_loc)
void | png_set_add_alpha (png_structp png_ptr, png_uint_32 filler, int filler_loc)
void | png_set_swap_alpha (png_structp png_ptr)
void | png_set_invert_alpha (png_structp png_ptr)
void | png_set_invert_mono (png_structp png_ptr)
void | png_do_invert (png_row_infop row_info, png_bytep row)
void | png_do_swap (png_row_infop row_info, png_bytep row)
void | png_do_packswap (png_row_infop row_info, png_bytep row)
void | png_do_strip_filler (png_row_infop row_info, png_bytep row, png_uint_32 flags)
void | png_do_bgr (png_row_infop row_info, png_bytep row)
void | png_set_user_transform_info (png_structp png_ptr, png_voidp user_transform_ptr, int user_transform_depth, int user_transform_channels)
png_voidp | png_get_user_transform_ptr (png_structp png_ptr)
## Variables
png_byte | onebppswaptable [256]
png_byte | twobppswaptable [256]
png_byte | fourbppswaptable [256]

## Define Documentation

#define PNG_INTERNAL

## Function Documentation

void png_do_bgr | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_invert | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_packswap | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_strip_filler | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_uint_32 | flags
| ) |

void png_do_swap | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

png_voidp png_get_user_transform_ptr | ( | png_structp | png_ptr | ) |

void png_set_add_alpha | ( | png_structp | png_ptr,
|  | png_uint_32 | filler,
|  | int | filler_loc
| ) |

void png_set_bgr | ( | png_structp | png_ptr | ) |

void png_set_filler | ( | png_structp | png_ptr,
|  | png_uint_32 | filler,
|  | int | filler_loc
| ) |

int png_set_interlace_handling | ( | png_structp | png_ptr | ) |

void png_set_invert_alpha | ( | png_structp | png_ptr | ) |

void png_set_invert_mono | ( | png_structp | png_ptr | ) |

void png_set_packing | ( | png_structp | png_ptr | ) |

void png_set_packswap | ( | png_structp | png_ptr | ) |

void png_set_shift | ( | png_structp | png_ptr,
|  | png_color_8p | true_bits
| ) |

void png_set_swap | ( | png_structp | png_ptr | ) |

void png_set_swap_alpha | ( | png_structp | png_ptr | ) |

void png_set_user_transform_info | ( | png_structp | png_ptr,
|  | png_voidp | user_transform_ptr,
|  | int | user_transform_depth,
|  | int | user_transform_channels
| ) |

## Variable Documentation

png_byte fourbppswaptable[256]`[static]`

png_byte onebppswaptable[256]`[static]`

png_byte twobppswaptable[256]`[static]`